Subject: Re: bug#53596: 29.0.50; comp-trampoline-compile: Cannot find suitable directory for output in `native-comp-eln-load-path'

From: Manuel Uberti <[email-masked]>
Date: Fri, 28 Jan 2022 11:32:46 +0100

On 28/01/22 11:22, Manuel Uberti wrote:
> I rebuilt Emacs, because I think I built it without the 
> --with-native-compilation flag before to get it to work.
> 
> Having it correctly build, from 'emacs -Q' the value of 
> native-comp-eln-load-path is the following:
> 
> ("/home/manuel/.emacs.d/eln-cache/" "/usr/local/lib/emacs/29.0.50/native-lisp/")

Since the value of native-comp-eln-load-path is correct when starting Emacs with 
'emacs -Q', I bisected my init.el and I found out that when I comment out the 
following lines:

(defun mu-delight-mode-line ()
   "Hide minor modes in the mode-line."
   (delight '((abbrev-mode nil abbrev)
              (auto-fill-function nil t)
              (auto-revert-mode nil autorevert)
              (buffer-face-mode nil face-remap)
              (eldoc-mode nil eldoc)
              (envrc-mode nil envrc)
              (flymake-mode nil flymake)
              (flyspell-mode nil flyspell)
              (subword-mode nil subword))))
(add-hook 'window-setup-hook #'mu-delight-mode-line)

And restart Emacs, the problem disappears and the value for 
native-comp-eln-load-path is correctly set to:

("/home/manuel/.emacs.d/eln-cache/" "/usr/local/lib/emacs/29.0.50/native-lisp/")

The problem seems then to be related to the delight package[1] and/or how I set 
it up.

[1] https://elpa.gnu.org/packages/delight.html

-- 
Manuel Uberti
www.manueluberti.eu